# arm_fir_lattice_instance_q15 Struct Reference

Instance structure for the Q15 FIR lattice filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numStages
q15_t * | pState
q15_t * | pCoeffs

## Detailed Description

Instance structure for the Q15 FIR lattice filter.

Definition at line 3631 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_lattice_instance_q15::numStages

number of filter stages.

Definition at line 3633 of file arm_math.h.

q15_t* arm_fir_lattice_instance_q15::pState

points to the state variable array. The array is of length numStages.

Definition at line 3634 of file arm_math.h.

q15_t* arm_fir_lattice_instance_q15::pCoeffs

points to the coefficient array. The array is of length numStages.

Definition at line 3635 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines